Subject: RE: cos tspec in RSVP-TE

From: "Abes, Andi" <[email-masked]>
Date: Fri, 14 Apr 2000 12:43:13 -0400

Lou,

As long as we're discussing intentions in 
the RSVP tunnels draft....

I've being trying to resolve this, and whom
better than the man himself.

A RESV message contains the full label stack
that was assigned. The question is - is
the stack "valid" only as a whole, or can 
the higher label be used over any other LSP
that terminates at the LSR that assigned it ?

Why is it important you may ask - 
in a DiffServ environment, there could be 
multiple top labels between to LSR, to implement
L-LSP's. When receiving a label stack in a RESV - 
can the upstream use the label over any one of 
LSP's, or only on the one that uses the label
contained in the Label Object in the RESV ?

In the first case, the higher label has to be
drawn from the platform label pool. In the 
second case, it doesn't have too - but it seems
very restrictive.

(I'm kind of hoping you meant the former - 
take it from the platform pool - and use it
all around).

I think this is an important issue for 
interoperability, and needs a decisive (and authoritative)
opinion voicing.

Andi.

> -----Original Message-----
> From: Lou Berger [mailto:[email-masked]]
> Sent: Friday, April 14, 2000 6:57 AM
> To: David Charlap
> Cc: [email-masked]
> Subject: Re: cos tspec in RSVP-TE
> 
> 
> At 08:56 PM 4/13/00 -0400, David Charlap wrote:
> >Lou Berger wrote:
> > >
> > > Again, Adspec isn't needed with the Class-of-Service SENDER_TSPEC.
> > > (It is optional per RFC2205.)
> >
> >Is it?
> >
> >I thought Adspec was only optional for the ingress node (or 
> source host
> >in non-MPLS RSVP), and that routers received a Path without an Adspec
> >were required to provide one to the next hop.
> >
> >Do you mean that it's legal for a transit router to emit a 
> Path message
> >without an Adspec object?  (Assuming it received a Path 
> without one, of
> >course.)
> >
> >-- David
> 
>  From rfc2205:
> 
> RFC 2205                          RSVP                    
> September 1997
> 
> 
>           The format of a Path message is as follows:
> 
>             <Path Message> ::= <Common Header> [ <INTEGRITY> ]
> 
>                                       <SESSION> <RSVP_HOP>
> 
>                                       <TIME_VALUES>
> 
>                                      [ <POLICY_DATA> ... ]
> 
>                                      [ <sender descriptor> ]
> 
>             <sender descriptor> ::= <SENDER_TEMPLATE> <SENDER_TSPEC>
> 
>                                      [ <ADSPEC> ]
> 
> Obviously, per RFC2210, ADSPEC is needed for int-serv.
> 
> Lou
>